group "CommodityContent.model"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | 4 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 4 locations

Content Model Diagram

Complex Content Model
commonPricing?, marketDisruption?, settlementDisruption?, rounding?

Content Model Elements (4):

  commonPricing, marketDisruption (defined in CommodityContent.model group), | rounding (defined in CommodityContent.model group), settlementDisruption

Known Usage Locations

- In definitions of other model groups (1):
  CommoditySwapDetails.model
- In definitions of global complexTypes (3):
  CommodityForward, CommodityOption, CommoditySwaption

Annotation
Items common to all Commodity Transactions.
XML Source (w/o annotations (5); see within schema source)

<xsd:group name="CommodityContent.model"> <xsd:sequence> <xsd:element minOccurs="0" name="commonPricing" type="xsd:boolean"/> <xsd:element minOccurs="0" name="marketDisruption" type="CommodityMarketDisruption"/> <xsd:element minOccurs="0" name="settlementDisruption" type="CommodityBullionSettlementDisruptionEnum"/> <xsd:element minOccurs="0" name="rounding" type="Rounding"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 4/4)
commonPricing

  Type: | xsd:boolean, predefined, simple content

  If Common Pricing is elected (“true”) for a Transaction with referencing more than one Commodity Reference Price then no date will be a Pricing Date unless such a date is a day on which all Commodity Reference Prices are scheduled to be published.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="commonPricing" type="xsd:boolean"/>

marketDisruption

  Type: | CommodityMarketDisruption, complex content

  Contains contract terms related to triggers and responses to market disruptions as defined in the 1993 or 2005 Commodity Definitions.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="marketDisruption" type="CommodityMarketDisruption"/>

rounding

  Type: | Rounding, complex content

  Rounding direction and precision for amounts.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="rounding" type="Rounding"/>

settlementDisruption

  Type: | CommodityBullionSettlementDisruptionEnum, simple content

  Describes contract terms related to the consequences of Bullion Settlement Disruption Events.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Negotiation" | - | Negotiation will apply in the event of Bullion Settlement Disruption as per Section 10.5.(d) of the 2005 Commodity Definitions. See: http://www.FpML.org
  "Cancellation and Payment" | - | Cancellation and Payment will apply in the event of Bullion Settlement Disruption as per Section 10.5.(d) of the 2005 Commodity Definitions. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="settlementDisruption" type="CommodityBullionSettlementDisruptionEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.